## electric-fence 2.1.3

=== Makefile ===
--- 
+++ 
@@ -5,11 +5,11 @@
 MV= mv
 CHMOD= chmod
 CFLAGS= -g
-LIB_INSTALL_DIR= $(prefix)/lib
-MAN_INSTALL_DIR= $(prefix)/man/man3
+LIB_INSTALL_DIR= /usr/lib
+MAN_INSTALL_DIR= /usr/man/man3
 
-PACKAGE_SOURCE= README efence.3 Makefile efence.h \
-	efence.c page.c print.c eftest.c tstheap.c CHANGES
+PACKAGE_SOURCE= README libefence.3 Makefile efence.h \
+	efence.c page.c print.c eftest.c tstheap.c CHANGES COPYING
 
 # Un-comment the following if you are running HP/UX.
 # CFLAGS= -Aa -g -D_HPUX_SOURCE -DPAGE_PROTECTION_VIOLATED_SIGNAL=SIGBUS
@@ -38,19 +38,18 @@
 	@ echo "Electric Fence confidence test PASSED." 
 	@ echo
 
-install: libefence.a efence.3
-	$(CHMOD) 644 libefence.a
+install: libefence.a libefence.3
 	$(MV) libefence.a $(LIB_INSTALL_DIR)
 	$(CHMOD) 644 $(LIB_INSTALL_DIR)/libefence.a
-	$(INSTALL) efence.3 $(MAN_INSTALL_DIR)/efence.3
-	$(CHMOD) 644 $(MAN_INSTALL_DIR)/efence.3
+	$(INSTALL) libefence.3 $(MAN_INSTALL_DIR)/libefence.3
+	$(CHMOD) 644 $(MAN_INSTALL_DIR)/libefence.3
 
 clean:
 	- rm -f $(OBJECTS) tstheap.o eftest.o tstheap eftest libefence.a \
 	 libefence.cat ElectricFence.shar
 
 roff:
-	nroff -man < efence.3 > efence.cat
+	nroff -man < libefence.3 > libefence.cat
 
 
 ElectricFence.shar: $(PACKAGE_SOURCE)
