=== debian/control ===
Source: electric-fence
Section: devel
Priority: extra
Maintainer: Matthew Vernon <matthew@debian.org>
Standards-Version: 2.5.0.1

Package: electric-fence
Section: devel
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}
Description: A malloc(3) debugger
 Use virtual memory hardware to detect illegal memory accesses.
