## electric-fence 2.1.13

=== debian/changelog ===
electric-fence (2.1.13) unstable; urgency=high

  * Link with pthreads (closes: #135122)

 -- Matthew Vernon <matthew@debian.org>  Fri, 22 Feb 2001 09:57:50 +0000
	

electric-fence (2.1.12) unstable; urgency=high

  * Add multithreading support (thanks to infrared@mail.index.hu) 
    (closes: #67838)
  * Specify the GPL version (closes: #133494)
  * Patch to allow you to specify that electric-fence should set freed 
    memory to a fixed value - makes things more helpful under gdb in 
    certain circumstances (patch from Petter Reinholdtsen <pere@hungry.com>
    and modified by yours truly to make it legal :-) (closes: #59764)
  * That's all the outstanding bugs fixed for the next release

 -- Matthew Vernon <matthew@debian.org>  Tue, 19 Feb 2001 22:09:37 +0000
	

electric-fence (2.1.11) unstable; urgency=low

  * Fix daft typo (closes: #105418)

 -- Matthew Vernon <matthew@debian.org>  Mon, 16 Jul 2001 08:56:01 +0100
	

electric-fence (2.1.10) unstable; urgency=low

  * pass int not char as type to va_arg (closes: #104800)

 -- Matthew Vernon <matthew@debian.org>  Sun, 15 Jul 2001 13:05:34 +0100
	

electric-fence (2.1.9) unstable; urgency=low

  * Get the /usr/doc/ stuff right this time (closes: #97010, #97890)

 -- Matthew Vernon <matthew@debian.org>  Fri, 18 May 2001 14:28:01 +0100

electric-fence (2.1.8) unstable; urgency=low

  * Remove spurious (int) casts in calls to mmap (closes: #84940)

 -- Matthew Vernon <matthew@debian.org>  Wed, 11 Apr 2001 15:48:39 +0100

electric-fence (2.1.7) unstable; urgency=low

  * Check if /usr/doc/electric-fence is a symlink in postinst (closes: #93534)
	
 -- Matthew Vernon <matthew@debian.org>  Tue, 10 Apr 2001 15:41:49 +0100
	

electric-fence (2.1.6) unstable; urgency=low

  * Make the banner print a correct version (closes: #81413)
  * Man page into /usr/share/man (closes: #91147,#81450)
  * Be sure to get rid of /usr/doc/electric-fence (closes: #81023)
	
 -- Matthew Vernon <matthew@debian.org>  Mon, 09 Apr 2001 14:52:03 +0100

electric-fence (2.1.5) unstable; urgency=low

  * rename the manpage to correspond to the README file (closes: #77243)

 -- Matthew Vernon <matthew@debian.org>  Fri, 17 Nov 2000 18:35:42 +0000

electric-fence (2.1.4) unstable; urgency=low
  
  * build tidy-ups (closes: #48156, #52927, #56142)
  
 -- Matthew Vernon <matthew@debian.org>  Mon, 16 Oct 2000 18:01:36 +0100
