=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: devel
 Priority: extra
 Maintainer: Matthew Vernon <matthew@debian.org>
-Standards-Version: 2.5.0.1
+Build-Depends: debhelper
+Standards-Version: 3.2.1.0
 
 Package: electric-fence
 Section: devel
