=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # Modified to work with debhelper-tools by Christian Kurz <shorty@debian.org>
 
 # Uncomment this to turn on verbose mode.
-export DH_VERBOSE=1
+#export DH_VERBOSE=1
 
 
 build: build-stamp
@@ -22,7 +22,7 @@
 	make CFLAGS="-O2 -g -Wall"
 	rm *.o
 	make CFLAGS="-O2 -g -Wall -fPIC"
-	gcc -g -shared -Wl,-soname,libefence.so.0 -o libefence.so.0.0 efence.o page.o print.o -lc
+	gcc -g -shared -Wl,-soname,libefence.so.0 -o libefence.so.0.0 efence.o page.o print.o -lc -lpthread
 	touch build-stamp
 
 clean:
@@ -42,13 +42,13 @@
 	dh_testdir
 	dh_testroot
 	dh_clean
-	dh_installdirs usr/doc/electric-fence usr/lib usr/man/man3
+	dh_installdirs usr/lib usr/share/man/man3
 	install -m 644 libefence.a debian/tmp/usr/lib
 	install -m 644 libefence.so.0.0 debian/tmp/usr/lib
 	dh_link /usr/lib/libefence.so.0.0 /usr/lib/libefence.so.0
 	#ln -s debian/tmp/usr/lib/libefence.so.0 ./libefence.so
 	dh_link /usr/lib/libefence.so.0 /usr/lib/libefence.so
-	install -m 644 libefence.3 debian/tmp/usr/man/man3/efence.3
+	install -m 644 libefence.3 debian/tmp/usr/share/man/man3/libefence.3
 	dh_installdocs README debian/README.gdb
 	dh_installchangelogs
 	dh_installmanpages -pefence libefence.3
