## electric-fence 2.1.13-0.1

=== debian/changelog ===
electric-fence (2.1.13-0.1) unstable; urgency=low

  * Non-maintainer upload
  * eftest.c: uses sig{set,long}jmp() instead of {set,long}jmp() to work on
    both 2.4 and 2.6 kernels (closes: #203436)
  * Added a proper description (closes: #209479)
  * Changed order of commands to build static library without PIC
    (closes: #154034)
  * Clarified and fixed manpage:
    - clarified semantics of EF_PROTECT_FREE (closes: #177800)
    - EF_ALLOC_MALLOC_0 -> EF_ALLOW_MALLOC_0 (closes: #177807)
    - mention EF_ALLOW_MALLOC_0 in the synopsis, correct number of conf
      switches (closes: #177808)
  * /usr/doc symlink not created any more, added postrm with ldconfig call,
    added debhelper tokens (closes: #222980)

 -- Martin Pitt <mpitt@debian.org>  Fri,  5 Dec 2003 16:51:38 +0100
