## electric-fence 2.1.14

=== debian/changelog ===
electric-fence (2.1.14) unstable; urgency=low

  * Fix behaviour of realloc() to conform to ANSI (closes: #134867)
  * Use strerror_r() (closes: #236407)
  * Correct typo in README.gdb (closes: #242376)

 -- Matthew Vernon <matthew@debian.org>  Sat, 15 Jan 2005 20:05:00 +0000
	
