## electric-fence 2.1.14.1

=== Makefile ===
--- 
+++ 
@@ -63,10 +63,10 @@
 
 tstheap: libefence.a tstheap.o
 	- rm -f tstheap
-	$(CC) $(CFLAGS) tstheap.o libefence.a -o tstheap
+	$(CC) $(CFLAGS) tstheap.o libefence.a -o tstheap -lpthread
 
 eftest: libefence.a eftest.o
 	- rm -f eftest
-	$(CC) $(CFLAGS) eftest.o libefence.a -o eftest
+	$(CC) $(CFLAGS) eftest.o libefence.a -o eftest -lpthread
 
 $(OBJECTS) tstheap.o eftest.o: efence.h
