=== debian/changelog ===
electric-fence (2.1.14.1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply patch from Petr Salinger to fix FTBFS on GNU/kFreeBSD.
    Closes: #340420
  * Rebuilt with current debhelper to finish /usr/doc transition.
    Closes: #322784
  * Man page typo fix from A Costa. Closes: #310357

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Jan 2006 01:03:19 -0500
