=== debian/control ===
--- 
+++ 
@@ -11,5 +11,16 @@
 Architecture: any
 Depends: ${shlibs:Depends}
 Description: A malloc(3) debugger
- Use virtual memory hardware to detect illegal memory accesses.
-
+ Electric Fence is a debugger that uses virtual memory hardware to detect
+ illegal memory accesses. It can detect two common programming bugs: software
+ that overruns or underruns the boundaries of a malloc() memory allocation,
+ and software that touches a memory allocation that has been released by
+ free(). 
+ .
+ Unlike other malloc() debuggers, Electric Fence will detect read accesses as
+ well as writes, and it will stop and pinpoint the exact instruction that
+ causes an error. It is not as thorough as Purify, however.
+ . 
+ In order to debug a program it needs to be linked with Electric Fence's
+ library or dynamic linking needs to be used; README.Debian explains that in
+ detail.
