## electric-fence 2.1.16

=== debian/changelog ===
electric-fence (2.1.16) unstable; urgency=medium

  * apply patch from Petr Salinger to fix FTBFS on GNU/kfreeBSD 
    (closes: #340420)

 -- Matthew Vernon <matthew@debian.org>  Fri, 14 May 2010 15:51:33 +0100

electric-fence (2.1.15) unstable; urgency=low

  * patch from Samuel Thibault to fix pthread support (closes: #541387)
  * update lintian overrides

 -- Matthew Vernon <matthew@debian.org>  Thu, 13 May 2010 21:54:16 +0100
