=== debian/rules ===
--- 
+++ 
@@ -55,6 +55,7 @@
 	chown -R root.root debian/tmp
 	dh_strip
 	dh_compress
+	dh_lintian
 	dh_installdeb
 	dh_fixperms
 	dh_shlibdeps debian/tmp/usr/lib/libefence.so.0.0
