## electric-fence 2.1.16ubuntu2

=== debian/changelog ===
electric-fence (2.1.16ubuntu2) oneiric; urgency=low

  * Build with -fno-builtin-malloc rather than -fno-tree-dse, which
    eliminates the problem more precisely.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 19 Sep 2011 15:48:00 +0100

electric-fence (2.1.16ubuntu1) oneiric; urgency=low

  * Build with -fno-tree-dse, since otherwise GCC >= 4.5 misoptimises
    allocateMoreSlots() (closes: #625756, LP: #749139).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 08 Sep 2011 18:10:14 +0100
