=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: electric-fence
 Section: devel
 Priority: extra
-Maintainer: Matthew Vernon <matthew@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthew Vernon <matthew@debian.org>
 Build-Depends: debhelper
 Standards-Version: 3.2.1.0
