## electric-fence 2.1.18

=== debian/changelog ===
electric-fence (2.1.18) unstable; urgency=low

  * refine the previous patch to use -fno-builtin-malloc instead

 -- Matthew Vernon <matthew@debian.org>  Tue, 27 Sep 2011 21:44:35 +0100

electric-fence (2.1.17) unstable; urgency=low

  * patch from Colin Watson to build with -fno-tree-dse as otherwise gcc
    >=4.5 mis-optimises AllocateMoreSlots() (Closes: #625756).

 -- Matthew Vernon <matthew@debian.org>  Fri, 09 Sep 2011 13:32:50 +0100
