## electric-fence 2.1.19

=== debian/changelog ===
electric-fence (2.1.19) unstable; urgency=low

  * patch from Petr Salinger to handle both SIGBUS and SIGSEGV in eftest.c
    on FreeBSD-based architectures (Closes: #643866)

 -- Matthew Vernon <matthew@debian.org>  Fri, 07 Oct 2011 08:38:44 +0100
