## electric-fence 2.2.3

=== debian/changelog ===
electric-fence (2.2.3) unstable; urgency=low

  * Fix the build system such that we actually pass -fno-builtin-malloc to
    gcc. Thanks to Ian Jackson and Colin Watson for helping me disentangle
    this (Closes: #679320)

 -- Matthew Vernon <matthew@debian.org>  Mon, 02 Jul 2012 18:57:41 +0100

electric-fence (2.2.2) unstable; urgency=low

  * patch from Petr Machata to add posix_memalign support (Closes: #599938)
  * Update standards-version
  * Update to use debhelper compatibility version 8
  * Don't ignore errors from make clean
  * set -e in postrm

 -- Matthew Vernon <matthew@debian.org>  Wed, 27 Jun 2012 22:15:04 +0100

electric-fence (2.2.1) unstable; urgency=low

  * patch from Brandon (modified a little) to handle noopt 
    DEB_BUILD_OPTIONS (Closes: #461428)
  * patch from Fedora (via Botond Botyanszki) replacing mutex locking with
    semaphores (Closes: #241156, #365382)
  
 -- Matthew Vernon <matthew@debian.org>  Wed, 27 Jun 2012 00:50:42 +0100
