## electric-fence 2.2.4

=== debian/changelog ===
electric-fence (2.2.4) unstable; urgency=medium (high for hurd users)

  * Patch from Richard Kettlewell to improve the semaphore strategy of
    efence. We no longer use recursive mutexes, and the code is instead
    clearer about when it should and shouldn't be locking. This means that
    electric-fence builds on hurd, which it hasn't previously.

 -- Matthew Vernon <matthew@debian.org>  Tue, 17 Jul 2012 18:40:21 +0100
