=== debian/changelog ===
electric-fence (2.2.5) unstable; urgency=medium

  * Patch from Helmut Grohne to Fix FTCBFS: (Closes: 853051)
    + Let dh_auto_build pass cross compilers
    + Honour DEB_BUILD_OPTIONS=nocheck

 -- Matthew Vernon <matthew@debian.org>  Sun, 29 Jan 2017 12:24:45 +0000
  
