=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,10 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
-	make
+	dh_auto_build -- libefence.a libefence.so.0.0
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	dh_auto_build # default make target runs tests
+endif
 	touch build-stamp
 
 clean:
