=== debian/changelog ===
electric-fence (2.2.6) unstable; urgency=medium

  * Move to entirely dh-based packaging (Closes: #999103)
  * Bump standards-version
  * Lintian-inspired packaging fixes

 -- Matthew Vernon <matthew@debian.org>  Fri, 12 Nov 2021 18:58:14 +0000
