=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: electric-fence
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Matthew Vernon <matthew@debian.org>
-Build-Depends: debhelper (>= 8)
-Standards-Version: 3.9.1
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.0.1
 
 Package: electric-fence
-Section: devel
-Priority: extra
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: A malloc(3) debugger
