## electric-fence 2.2.7

=== debian/changelog ===
electric-fence (2.2.7) unstable; urgency=medium

  * Fix errors reported by gcc-14 (Closes: #1074933)
  * Update a lintian override

 -- Matthew Vernon <matthew@debian.org>  Tue, 20 Aug 2024 16:52:57 +0100
