=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7)
# output every command that modifies files on the build system.
DH_VERBOSE = 1

# see dpkg-buildflags(1)
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- libefence.a libefence.so.0.0
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	dh_auto_build # default make target runs tests
endif
