## electric-fence 2.2.7build1

=== debian/changelog ===
electric-fence (2.2.7build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 16 Jan 2026 20:50:41 +0000
